aboutsummaryrefslogtreecommitdiff
path: root/graphics/simple-scan
diff options
context:
space:
mode:
authorJohannes Schoepfer <slackbuilds@schoepfer.info>2022-02-06 17:51:18 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2022-02-07 00:08:52 +0700
commitf8c1618e859ef7b82ac015e35dee2306c482d36b (patch)
tree3ca2971e263976936f39f400aaec8f8e57cb2c81 /graphics/simple-scan
parent73da6e1cf3896ff44feb3dc22f87ced848046d48 (diff)
downloadslackbuilds-f8c1618e859ef7b82ac015e35dee2306c482d36b.tar.xz
graphics/simple-scan: Updated for version 3.38.5.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/simple-scan')
-rw-r--r--graphics/simple-scan/README8
-rw-r--r--graphics/simple-scan/simple-scan.SlackBuild47
-rw-r--r--graphics/simple-scan/simple-scan.info12
-rw-r--r--graphics/simple-scan/slack-desc8
4 files changed, 44 insertions, 31 deletions
diff --git a/graphics/simple-scan/README b/graphics/simple-scan/README
index 375d326826f9..f685f3fef596 100644
--- a/graphics/simple-scan/README
+++ b/graphics/simple-scan/README
@@ -1,2 +1,6 @@
-simple-scan is a simple scanning utility designed to be less
-overwhelming than xsane for casual/occasional scanning jobs.
+simple-scan is a document scanning application.
+It allows you to capture images using image scanners
+(e.g. flatbed scanners) that have suitable SANE drivers installed.
+
+Optional dependencies, detected automatically at compiletime:
+colord, packagekit
diff --git a/graphics/simple-scan/simple-scan.SlackBuild b/graphics/simple-scan/simple-scan.SlackBuild
index aa2229bb4547..67d208f57200 100644
--- a/graphics/simple-scan/simple-scan.SlackBuild
+++ b/graphics/simple-scan/simple-scan.SlackBuild
@@ -1,10 +1,9 @@
#!/bin/bash
-# Slackware Package Build Script for simple-scan
-# Home Page https://launchpad.net/simple-scan
+# Slackware build script for simple-scan
-# Copyright (c) 2010-2017, Nishant Limbachia, Hoffman Estates, IL, USA
-# [nishant _AT_ mnspace _DOT_ net]
+# Copyright 2010-2017, Nishant Limbachia, Hoffman Estates, IL, USA
+# Copyright 2021 Johannes Schoepfer, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM="simple-scan"
-VERSION=${VERSION:-3.34.0}
+VERSION=${VERSION:-3.38.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -69,9 +68,10 @@ fi
set -e
-rm -fr $TMP/$PRGNAM-$VERSION $PKG
+rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
+rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root.root .
@@ -81,22 +81,31 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 640 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-patch -p1 < $CWD/libwebpmux.patch
-
-meson --prefix $PKG/usr build
-
-# Fix for meson-0.44.0, thanks to Andrew Clemons
-sed -i 's,../src/src/,../src/,g' build/build.ninja
-
-"${NINJA:=ninja}"
-$NINJA -C build all install
-
-rm -f $PKG/usr/share/glib-2.0/schemas/gschemas.compiled
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc
+ ninja
+ DESTDIR=$PKG ninja install
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING NEWS README* $PKG/usr/doc/$PRGNAM-$VERSION
-
-mv $PKG/usr/share/man $PKG/usr/man
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/graphics/simple-scan/simple-scan.info b/graphics/simple-scan/simple-scan.info
index 13a1b195f2b4..04a42fe1e269 100644
--- a/graphics/simple-scan/simple-scan.info
+++ b/graphics/simple-scan/simple-scan.info
@@ -1,10 +1,10 @@
PRGNAM="simple-scan"
-VERSION="3.34.0"
+VERSION="3.38.5"
HOMEPAGE="https://gitlab.gnome.org/GNOME/simple-scan"
-DOWNLOAD="https://gitlab.gnome.org/GNOME/simple-scan/-/archive/3.34.0/simple-scan-3.34.0.tar.bz2"
-MD5SUM="69464d41aa25c5de2385f332dd22f508"
+DOWNLOAD="https://download.gnome.org/sources/simple-scan/3.38/simple-scan-3.38.5.tar.xz"
+MD5SUM="9988530faaf97ef08c6d29b64846ba6b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="colord packagekit libgusb"
-MAINTAINER="Nishant Limbachia"
-EMAIL="nishant@mnspace.net"
+REQUIRES="libgusb"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds@schoepfer.info"
diff --git a/graphics/simple-scan/slack-desc b/graphics/simple-scan/slack-desc
index 9df18325a632..403f6efa7c18 100644
--- a/graphics/simple-scan/slack-desc
+++ b/graphics/simple-scan/slack-desc
@@ -6,11 +6,11 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-simple-scan: simple-scan (simple scanning utility)
-simple-scan:
-simple-scan: simple-scan is a simple scanning utility without the overwhelming
-simple-scan: options of xsane.
+simple-scan: simple-scan (scanning utility)
simple-scan:
+simple-scan: simple-scan is a document scanning application.
+simple-scan: It allows you to capture images using image scanners
+simple-scan: (e.g. flatbed scanners) that have suitable SANE drivers installed.
simple-scan:
simple-scan: Homepage: https://gitlab.gnome.org/GNOME/simple-scan
simple-scan: